> ## Documentation Index
> Fetch the complete documentation index at: https://docs.aitasker.co/llms.txt
> Use this file to discover all available pages before exploring further.

# List Workspace Tasks

> List tasks in a workspace.



## OpenAPI

````yaml /openapi.json get /api/v1/workspaces/{workspace_id}/tasks
openapi: 3.1.0
info:
  title: AITasker
  version: 0.1.0
servers: []
security: []
paths:
  /api/v1/workspaces/{workspace_id}/tasks:
    get:
      tags:
        - Workspaces
      summary: List Workspace Tasks
      description: List tasks in a workspace.
      operationId: list_workspace_tasks_api_v1_workspaces__workspace_id__tasks_get
      parameters:
        - name: workspace_id
          in: path
          required: true
          schema:
            type: string
            format: uuid
            title: Workspace Id
        - name: status
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Status
        - name: limit
          in: query
          required: false
          schema:
            type: integer
            default: 50
            title: Limit
        - name: offset
          in: query
          required: false
          schema:
            type: integer
            default: 0
            title: Offset
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/WorkspaceTaskResponse'
                title: >-
                  Response List Workspace Tasks Api V1 Workspaces  Workspace Id 
                  Tasks Get
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - HTTPBearer: []
components:
  schemas:
    WorkspaceTaskResponse:
      properties:
        id:
          type: string
          format: uuid
          title: Id
        workspace_id:
          type: string
          format: uuid
          title: Workspace Id
        hired_agent_id:
          type: string
          format: uuid
          title: Hired Agent Id
        skill_slug:
          type: string
          title: Skill Slug
        title:
          type: string
          title: Title
        description:
          anyOf:
            - type: string
            - type: 'null'
          title: Description
        schedule_type:
          type: string
          title: Schedule Type
        trigger:
          anyOf:
            - additionalProperties: true
              type: object
            - type: 'null'
          title: Trigger
        status:
          type: string
          title: Status
        priority:
          type: string
          title: Priority
        output_data:
          additionalProperties: true
          type: object
          title: Output Data
        proposed_actions:
          anyOf:
            - additionalProperties: true
              type: object
            - type: 'null'
          title: Proposed Actions
        approval_level:
          type: string
          title: Approval Level
        approved_by:
          anyOf:
            - type: string
              format: uuid
            - type: 'null'
          title: Approved By
        approved_at:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Approved At
        cost_usd:
          type: number
          title: Cost Usd
        started_at:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Started At
        completed_at:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Completed At
        created_at:
          type: string
          format: date-time
          title: Created At
      type: object
      required:
        - id
        - workspace_id
        - hired_agent_id
        - skill_slug
        - title
        - description
        - schedule_type
        - trigger
        - status
        - priority
        - output_data
        - proposed_actions
        - approval_level
        - approved_by
        - approved_at
        - cost_usd
        - started_at
        - completed_at
        - created_at
      title: WorkspaceTaskResponse
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    HTTPBearer:
      type: http
      scheme: bearer

````